version: '3.5'

networks:
  nginx_network:
    external: true
    name: nginx_network

services:
  inki_api:
    tty: true
    stdin_open: true
    image: inki_api:v1
    container_name: inki_api
    env_file: ./.env
    build:
      context: ./
      dockerfile: Dockerfile
      args:
        - TZ=${TZ}
    restart: unless-stopped
    command: bash ./docker-entrypoint.sh
    ports:
      - ${VIRTUAL_PORT}:${VIRTUAL_PORT}
    volumes:
      - .:/inki_api
      - gems:/inki_api/gems
    networks:
      - nginx_network
    logging:
      driver: 'json-file'
      options:
       max-file: '3'
       max-size: '10m'

volumes:
  gems:
